#ifndef _SWIGUTILS_H__
#define _SWIGUTILS_H__

#include <stdint.h>
#include <memory.h>

#if SWIGTEST
struct Ref{
	int blah;
};

typedef Ref RefA;


Ref* Ref_new();
void Ref_free(Ref* ref);
Ref*	retRef();
float Ref_getPos(Ref* ref);
float Ref_getSize(Ref* ref);
float RefA_getSize(RefA* ref);
void somefunc(const char *str, size_t size);
void retfunc(char **buffer, size_t *size);


typedef Ref RefB;

void RefB_ref(RefB* ptr);
void RefB_unref(RefB* ptr);

RefB*	retRefB(void* arg);
RefB*	someRefB(RefB*);
void*	retVoid();

class BlendMode{
public:
	enum type {ADD,DECAL,SUB};
};

void testenum(BlendMode::type var);
#endif

#endif
